package PC20050329;

import ProSW.*;
import java.util.*;

public class PretAPorter extends AutInv {
	private final String fasciaMercato;

	public PretAPorter (int cod, String tema, int anno, boolean pell, Stilista s, String mercato) throws EccezionePrecondizioni {
		super(cod,tema,anno,pell,s);
		if (mercato==null) throw new EccezionePrecondizioni("La fascia mercato non puo' essere null");
		fasciaMercato=mercato;
	}
	
	public String getMercato(){ return fasciaMercato; }
	
	// Gestione associazione Acquista (1..*)
	private Set<TipoLinkAcquista> linkAcquista = new HashSet<TipoLinkAcquista>();

	public void inserisciLinkAcquista(Azienda azienda, int nCapi) 
		  throws EccezionePrecondizioni {
		
	  	linkAcquista.add( new TipoLinkAcquista(this, azienda, nCapi) );
	}
	public Set<TipoLinkAcquista> getLinkAcquista() throws EccezioneMolteplicita {
		if (linkAcquista.size() < 1)
			throw new EccezioneMolteplicita("I vincoli di molteplicita' dell'associazione 'Acquista' sono violati");
		return (Set<TipoLinkAcquista>)((HashSet<TipoLinkAcquista>)linkAcquista).clone(); 
	}
} //:~