package PC20050329;

import ProSW.*;

public class Stilista {
	private final String nome;
	private int anniEsp;

	public Stilista(String n, int a) throws EccezionePrecondizioni {
		if (n==null) throw new EccezionePrecondizioni("Il nome non puo' essere null");
		nome=n;
		setAnniEsperienza(a);
	}
	public void setAnniEsperienza(int a) throws EccezionePrecondizioni {
		if (a<0) throw new EccezionePrecondizioni("a deve essere positivo o nullo");
		anniEsp=a;
	}
	public String getNome() { return nome; }
	public int getAnniEsperienza() { return anniEsp; }

	public String toString() {
		return nome + " (" + anniEsp + " anni di esperienza)";
	}

} //:~