package PC20050329;
import java.util.*;
import ProSW.*;

public final class VerificheSfilate {
	public static boolean verificaEsordienti(Sfilata s) throws EccezionePrecondizioni, EccezioneMolteplicita {
		if (s==null) throw new EccezionePrecondizioni("La sfilata non puo' essere null");
		Set<Collezione> insLink = s.getLinkPresentata();
		Iterator<Collezione> it=insLink.iterator();
		double somma=0;
		while (it.hasNext()) {
			Collezione c = it.next();
			int anniStilista = c.getAppartiene().getAnniEsperienza();
			somma = somma + anniStilista;
		}
		return ((somma/insLink.size())<5);
	}

	public static int calcolaVendite(Collezione c) throws EccezionePrecondizioni, EccezioneMolteplicita {
		if (c==null) throw new EccezionePrecondizioni("La collezione non puo' essere null");
		if (!PretAPorter.class.isInstance(c)) return 0;
				
		PretAPorter p = (PretAPorter)c;
		Iterator<TipoLinkAcquista> it = p.getLinkAcquista().iterator();
		int result=0;
		while (it.hasNext()) {
			TipoLinkAcquista l = it.next();
			if (l.getAzienda().isMedioGrande())
				result += l.getNCapi();
		}
		return result;
	}
} //:~	
